/*
 
   Solution l'exercice -1-
 
   Auteurs: Deitel&Deitel
 
   Ce programme permet  l'utilisateur de crer
   une couleur adapte sur mesure.
 
   Ce programme est une applet, qui utilise des
   lments se trouvant dans le fichier:
 
        MonSelecteurDeCouleurs.java
 
   Cette applet peut-tre charge par le navigateur
   par l'intermdiaire du fichier Palette.html
 
   Ajout/Modifications: Palette.html
 
*/


import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;

public class Palette extends JApplet implements ChangeListener {

    private MonSelecteurDeCouleurs selecteurCouleur;
    private JPanel voletDessin;

    public void init() {
	selecteurCouleur = new MonSelecteurDeCouleurs();

	Container c = getContentPane();
	c.add( selecteurCouleur, BorderLayout.SOUTH );
	JSlider rouge = selecteurCouleur.getGlissiereRouge();
	rouge.addChangeListener( this );
	JSlider vert = selecteurCouleur.getGlissiereVert();
	vert.addChangeListener( this );
	JSlider bleu = selecteurCouleur.getGlissiereBleu();
	bleu.addChangeListener( this );

	voletDessin = new JPanel();
	c.add( voletDessin, BorderLayout.CENTER );
    }

// Dessiner directement sur le JPanel.

    public void stateChanged( ChangeEvent e ) {
	Graphics g = voletDessin.getGraphics();
	g.setColor( selecteurCouleur.getCouleur() );
	g.fillRect( 50, 50, 50, 50 );
    }
    public void paint( Graphics gg ) {
	super.paint( gg );

	Graphics g = voletDessin.getGraphics();
	g.setColor( selecteurCouleur.getCouleur() );
	g.fillRect( 50, 50, 50, 50 );
    }
}
